function prob = MCPurchaseProbs( j,S,params, numProds )
%Computes MC purchase probs

    A=-(transpose(repmat(1-S,numProds,1).*params(:,2:numProds+1))) + eye(numProds);
    b=(1-S).*reshape(params(:,1),[1,numProds]);
    beta= A\reshape(b,[numProds,1]);
    prob = params(j,1) + sum(params(:,j).*beta);
    



end

